﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;
using System.Windows;

namespace WpfApplication108
{
    public class MyPropertyGrid : RadPropertyGrid
    {
        static MyPropertyGrid()
        {
            DefaultStyleKeyProperty.OverrideMetadata(typeof(MyPropertyGrid), new FrameworkPropertyMetadata(typeof(MyPropertyGrid)));
        }

        protected override void OnInitialized(EventArgs e)
        {
            base.OnInitialized(e);
            Theme theme = StyleManager.GetTheme(this);
            Type themeType = null;
            if (theme != null)
            {
                themeType = theme.GetType();
            }
            this.DefaultStyleKey = new ThemeResourceKey() { ElementType = typeof(RadPropertyGrid), ThemeType = themeType };
        }
    }
}
